# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/homebrew/bin/cmake

# The command to remove a file.
RM = /opt/homebrew/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/will/Documents/zoomengine

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/will/Documents/zoomengine/build

# Include any dependencies generated for this target.
include CMakeFiles/ModernEngine.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/ModernEngine.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/ModernEngine.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/ModernEngine.dir/flags.make

CMakeFiles/ModernEngine.dir/codegen:
.PHONY : CMakeFiles/ModernEngine.dir/codegen

CMakeFiles/ModernEngine.dir/src/Camera.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Camera.cpp.o: /Users/will/Documents/zoomengine/src/Camera.cpp
CMakeFiles/ModernEngine.dir/src/Camera.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/ModernEngine.dir/src/Camera.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Camera.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Camera.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Camera.cpp.o -c /Users/will/Documents/zoomengine/src/Camera.cpp

CMakeFiles/ModernEngine.dir/src/Camera.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Camera.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Camera.cpp > CMakeFiles/ModernEngine.dir/src/Camera.cpp.i

CMakeFiles/ModernEngine.dir/src/Camera.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Camera.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Camera.cpp -o CMakeFiles/ModernEngine.dir/src/Camera.cpp.s

CMakeFiles/ModernEngine.dir/src/Engine.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Engine.cpp.o: /Users/will/Documents/zoomengine/src/Engine.cpp
CMakeFiles/ModernEngine.dir/src/Engine.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/ModernEngine.dir/src/Engine.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Engine.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Engine.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Engine.cpp.o -c /Users/will/Documents/zoomengine/src/Engine.cpp

CMakeFiles/ModernEngine.dir/src/Engine.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Engine.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Engine.cpp > CMakeFiles/ModernEngine.dir/src/Engine.cpp.i

CMakeFiles/ModernEngine.dir/src/Engine.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Engine.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Engine.cpp -o CMakeFiles/ModernEngine.dir/src/Engine.cpp.s

CMakeFiles/ModernEngine.dir/src/Input.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Input.cpp.o: /Users/will/Documents/zoomengine/src/Input.cpp
CMakeFiles/ModernEngine.dir/src/Input.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/ModernEngine.dir/src/Input.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Input.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Input.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Input.cpp.o -c /Users/will/Documents/zoomengine/src/Input.cpp

CMakeFiles/ModernEngine.dir/src/Input.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Input.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Input.cpp > CMakeFiles/ModernEngine.dir/src/Input.cpp.i

CMakeFiles/ModernEngine.dir/src/Input.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Input.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Input.cpp -o CMakeFiles/ModernEngine.dir/src/Input.cpp.s

CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o: /Users/will/Documents/zoomengine/src/LevelEditor.cpp
CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o -MF CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o -c /Users/will/Documents/zoomengine/src/LevelEditor.cpp

CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/LevelEditor.cpp > CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.i

CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/LevelEditor.cpp -o CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.s

CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o: /Users/will/Documents/zoomengine/src/Mesh.cpp
CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o -c /Users/will/Documents/zoomengine/src/Mesh.cpp

CMakeFiles/ModernEngine.dir/src/Mesh.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Mesh.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Mesh.cpp > CMakeFiles/ModernEngine.dir/src/Mesh.cpp.i

CMakeFiles/ModernEngine.dir/src/Mesh.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Mesh.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Mesh.cpp -o CMakeFiles/ModernEngine.dir/src/Mesh.cpp.s

CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o: /Users/will/Documents/zoomengine/src/OBJLoader.cpp
CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o -MF CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o -c /Users/will/Documents/zoomengine/src/OBJLoader.cpp

CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/OBJLoader.cpp > CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.i

CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/OBJLoader.cpp -o CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.s

CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o: /Users/will/Documents/zoomengine/src/OBJModelPrimitive.cpp
CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o -MF CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o -c /Users/will/Documents/zoomengine/src/OBJModelPrimitive.cpp

CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/OBJModelPrimitive.cpp > CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.i

CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/OBJModelPrimitive.cpp -o CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.s

CMakeFiles/ModernEngine.dir/src/Physics.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Physics.cpp.o: /Users/will/Documents/zoomengine/src/Physics.cpp
CMakeFiles/ModernEngine.dir/src/Physics.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object CMakeFiles/ModernEngine.dir/src/Physics.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Physics.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Physics.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Physics.cpp.o -c /Users/will/Documents/zoomengine/src/Physics.cpp

CMakeFiles/ModernEngine.dir/src/Physics.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Physics.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Physics.cpp > CMakeFiles/ModernEngine.dir/src/Physics.cpp.i

CMakeFiles/ModernEngine.dir/src/Physics.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Physics.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Physics.cpp -o CMakeFiles/ModernEngine.dir/src/Physics.cpp.s

CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o: /Users/will/Documents/zoomengine/src/Renderer.cpp
CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building CXX object CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o -c /Users/will/Documents/zoomengine/src/Renderer.cpp

CMakeFiles/ModernEngine.dir/src/Renderer.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Renderer.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Renderer.cpp > CMakeFiles/ModernEngine.dir/src/Renderer.cpp.i

CMakeFiles/ModernEngine.dir/src/Renderer.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Renderer.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Renderer.cpp -o CMakeFiles/ModernEngine.dir/src/Renderer.cpp.s

CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o: /Users/will/Documents/zoomengine/src/ResourceManager.cpp
CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building CXX object CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o -MF CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o -c /Users/will/Documents/zoomengine/src/ResourceManager.cpp

CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/ResourceManager.cpp > CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.i

CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/ResourceManager.cpp -o CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.s

CMakeFiles/ModernEngine.dir/src/Scene.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Scene.cpp.o: /Users/will/Documents/zoomengine/src/Scene.cpp
CMakeFiles/ModernEngine.dir/src/Scene.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Building CXX object CMakeFiles/ModernEngine.dir/src/Scene.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Scene.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Scene.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Scene.cpp.o -c /Users/will/Documents/zoomengine/src/Scene.cpp

CMakeFiles/ModernEngine.dir/src/Scene.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Scene.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Scene.cpp > CMakeFiles/ModernEngine.dir/src/Scene.cpp.i

CMakeFiles/ModernEngine.dir/src/Scene.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Scene.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Scene.cpp -o CMakeFiles/ModernEngine.dir/src/Scene.cpp.s

CMakeFiles/ModernEngine.dir/src/Shader.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Shader.cpp.o: /Users/will/Documents/zoomengine/src/Shader.cpp
CMakeFiles/ModernEngine.dir/src/Shader.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Building CXX object CMakeFiles/ModernEngine.dir/src/Shader.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Shader.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Shader.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Shader.cpp.o -c /Users/will/Documents/zoomengine/src/Shader.cpp

CMakeFiles/ModernEngine.dir/src/Shader.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Shader.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Shader.cpp > CMakeFiles/ModernEngine.dir/src/Shader.cpp.i

CMakeFiles/ModernEngine.dir/src/Shader.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Shader.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Shader.cpp -o CMakeFiles/ModernEngine.dir/src/Shader.cpp.s

CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o: /Users/will/Documents/zoomengine/src/SimpleTextureLoader.cpp
CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Building CXX object CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o -MF CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o -c /Users/will/Documents/zoomengine/src/SimpleTextureLoader.cpp

CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/SimpleTextureLoader.cpp > CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.i

CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/SimpleTextureLoader.cpp -o CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.s

CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o: /Users/will/Documents/zoomengine/src/TextureCache.cpp
CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_14) "Building CXX object CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o -MF CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o -c /Users/will/Documents/zoomengine/src/TextureCache.cpp

CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/TextureCache.cpp > CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.i

CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/TextureCache.cpp -o CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.s

CMakeFiles/ModernEngine.dir/src/Window.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/Window.cpp.o: /Users/will/Documents/zoomengine/src/Window.cpp
CMakeFiles/ModernEngine.dir/src/Window.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_15) "Building CXX object CMakeFiles/ModernEngine.dir/src/Window.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/Window.cpp.o -MF CMakeFiles/ModernEngine.dir/src/Window.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/Window.cpp.o -c /Users/will/Documents/zoomengine/src/Window.cpp

CMakeFiles/ModernEngine.dir/src/Window.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/Window.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/Window.cpp > CMakeFiles/ModernEngine.dir/src/Window.cpp.i

CMakeFiles/ModernEngine.dir/src/Window.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/Window.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/Window.cpp -o CMakeFiles/ModernEngine.dir/src/Window.cpp.s

CMakeFiles/ModernEngine.dir/src/main.cpp.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/main.cpp.o: /Users/will/Documents/zoomengine/src/main.cpp
CMakeFiles/ModernEngine.dir/src/main.cpp.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_16) "Building CXX object CMakeFiles/ModernEngine.dir/src/main.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/main.cpp.o -MF CMakeFiles/ModernEngine.dir/src/main.cpp.o.d -o CMakeFiles/ModernEngine.dir/src/main.cpp.o -c /Users/will/Documents/zoomengine/src/main.cpp

CMakeFiles/ModernEngine.dir/src/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/ModernEngine.dir/src/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/will/Documents/zoomengine/src/main.cpp > CMakeFiles/ModernEngine.dir/src/main.cpp.i

CMakeFiles/ModernEngine.dir/src/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/ModernEngine.dir/src/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/will/Documents/zoomengine/src/main.cpp -o CMakeFiles/ModernEngine.dir/src/main.cpp.s

CMakeFiles/ModernEngine.dir/src/glad.c.o: CMakeFiles/ModernEngine.dir/flags.make
CMakeFiles/ModernEngine.dir/src/glad.c.o: /Users/will/Documents/zoomengine/src/glad.c
CMakeFiles/ModernEngine.dir/src/glad.c.o: CMakeFiles/ModernEngine.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_17) "Building C object CMakeFiles/ModernEngine.dir/src/glad.c.o"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT CMakeFiles/ModernEngine.dir/src/glad.c.o -MF CMakeFiles/ModernEngine.dir/src/glad.c.o.d -o CMakeFiles/ModernEngine.dir/src/glad.c.o -c /Users/will/Documents/zoomengine/src/glad.c

CMakeFiles/ModernEngine.dir/src/glad.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/ModernEngine.dir/src/glad.c.i"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /Users/will/Documents/zoomengine/src/glad.c > CMakeFiles/ModernEngine.dir/src/glad.c.i

CMakeFiles/ModernEngine.dir/src/glad.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/ModernEngine.dir/src/glad.c.s"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /Users/will/Documents/zoomengine/src/glad.c -o CMakeFiles/ModernEngine.dir/src/glad.c.s

# Object files for target ModernEngine
ModernEngine_OBJECTS = \
"CMakeFiles/ModernEngine.dir/src/Camera.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Engine.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Input.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Physics.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Scene.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Shader.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/Window.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/main.cpp.o" \
"CMakeFiles/ModernEngine.dir/src/glad.c.o"

# External object files for target ModernEngine
ModernEngine_EXTERNAL_OBJECTS =

ModernEngine: CMakeFiles/ModernEngine.dir/src/Camera.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Engine.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Input.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/LevelEditor.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Mesh.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/OBJLoader.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/OBJModelPrimitive.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Physics.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Renderer.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/ResourceManager.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Scene.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Shader.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/SimpleTextureLoader.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/TextureCache.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/Window.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/main.cpp.o
ModernEngine: CMakeFiles/ModernEngine.dir/src/glad.c.o
ModernEngine: CMakeFiles/ModernEngine.dir/build.make
ModernEngine: /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/OpenGL.framework
ModernEngine: CMakeFiles/ModernEngine.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/Users/will/Documents/zoomengine/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_18) "Linking CXX executable ModernEngine"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ModernEngine.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/ModernEngine.dir/build: ModernEngine
.PHONY : CMakeFiles/ModernEngine.dir/build

CMakeFiles/ModernEngine.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/ModernEngine.dir/cmake_clean.cmake
.PHONY : CMakeFiles/ModernEngine.dir/clean

CMakeFiles/ModernEngine.dir/depend:
	cd /Users/will/Documents/zoomengine/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /Users/will/Documents/zoomengine /Users/will/Documents/zoomengine /Users/will/Documents/zoomengine/build /Users/will/Documents/zoomengine/build /Users/will/Documents/zoomengine/build/CMakeFiles/ModernEngine.dir/DependInfo.cmake "--color=$(COLOR)" ModernEngine
.PHONY : CMakeFiles/ModernEngine.dir/depend

